SymetryML Documentation
Jobs

List jobs

List all jobs currently tracked for the calling user. Set the `all` query parameter to list every customer's jobs; this is restricted to the root user and fails otherwise.

GET
/{user}/jobs

List all jobs currently tracked for the calling user. Set the all query parameter to list every customer's jobs; this is restricted to the root user and fails otherwise.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

Query Parameters

all?boolean

Root user only. List jobs for every customer, not just the caller.

Response Body

application/json

application/json

curl -X GET "https://example.com/c1/jobs"
{  "statusCode": 200,  "statusString": "OK",  "values": {    "jobinfolist": [      {        "jobId": 4,        "jobType": "dsUpdate",        "owner": "c1",        "startingDate": 1784742285137,        "maximum": 6297337227,        "current": 11157504,        "isOnBoundedExecutor": true,        "isStarted": true,        "isDone": false,        "details": {          "ds_name": "c1-JobListAllTest-ds-BigData-root",          "bounded_executor_queue_position": "0",          "update_type": "learn",          "p_id": "c1-JobListAllTest-prj-root",          "bounded_executor_queue_size": "0"        }      },      {        "jobId": 5,        "jobType": "dsUpdate",        "owner": "murray",        "startingDate": 1784742285211,        "maximum": 6297337227,        "current": 11157504,        "isOnBoundedExecutor": true,        "isStarted": true,        "isDone": false,        "details": {          "ds_name": "c1-JobListAllTest-ds-BigData-normal",          "update_type": "learn",          "p_id": "c1-JobListAllTest-prj-root-normal",          "bounded_executor_queue_size": "0"        }      }    ]  }}
{  "statusCode": 500,  "statusString": "Generic Exception [java.lang.Exception: Cannot specify all=true for non root user]"}